Need help to start campaign mods


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Need help to start campaign mods

Postby Firerush » Mon Aug 25, 2014 5:33 am

I know this is brought up a lot but please hear me out.

I'm running Windows 7 64 bit.

I've been wanting to play some old Starcraft campaigns lately, including the Vision of the future Saga and Legacy of the Confederation and I want to try the Flame Knives campaign since I never got around to it before I replaced my old PC where they worked just fine. Every time I try to load one of the mod exes I either get a nanosecond of loading and then nothing happens (with Legacy of the Confederation ) or I get a *ding* and a message appears that says "the patch was unsuccessful". A couple weeks ago I was able to use the BWAI downgrader to go down to v 1.10 but after I somehow lost the ability to load the game I had to reinstall it with the downloader from Battle.net and ever since then whenever I try to downgrade the game crashes on startup.

I've hunted around online for every possible solution. In addition to BWAI downgrader I've tried manually lowering the version to 1.10 with the files on the Flame Knives download page, I've tried resetting the compatibility and even used MPQdraft but that doesn't seem to do anything, that or I don't know how to use it.

The only mod that works is Prophecy and I think that's because it forces the game to start up in v 1.07 rather than loading the current patch. Is there anyway to change the "gears" exes into launchers like that that force the game to start up in 1.10 with a little wraith graphic? If anyone has a solution please help me and please don't just leave a "use (program name) and it works" answer because I need to know how such a program would work before I jsut try it.

thank you.

User avatar

IskatuMesk
Xel'naga World Shaper
Xel'naga World Shaper
Posts: 8779
Joined: Sat Feb 07, 2009 1:40 pm
Location: M͈̙̞͍͞ͅE̹H̨͇̰͈͕͇̫Ì̩̳CO̼̩̤͖͘
Contact:
Status: Offline

Re: Need help to start campaign mods

Postby IskatuMesk » Wed Aug 27, 2014 4:16 am

I think the digital version of brood war has some changes to it that interfere with the memory patching of the various mod executables, but I'm not 100% sure (never tried it personally, past my time). I also imagine it could interfere with the downgraders, if the dlls or anything are different.

The alternate possibility is that you have different versions of the game installed and the registry is pointing to a newer one. Mpqdraft exes look at the registry, and I think Firegraft ones do as well. Not sure about Stargraft (the 1.07 exes), though. If they force you to run in the directory, they don't.
Image~[Gameproc]~Image
Warning: dialogue contains politically incorrect content. Viewer rearsore may occur.


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Wed Aug 27, 2014 2:50 pm

OK... I don't quite understand.

A more pertinent question might be, What makes the Prophecy executable so different from all the others that it overrides whatever problem I'm having?

User avatar

IskatuMesk
Xel'naga World Shaper
Xel'naga World Shaper
Posts: 8779
Joined: Sat Feb 07, 2009 1:40 pm
Location: M͈̙̞͍͞ͅE̹H̨͇̰͈͕͇̫Ì̩̳CO̼̩̤͖͘
Contact:
Status: Offline

Re: Need help to start campaign mods

Postby IskatuMesk » Wed Aug 27, 2014 4:52 pm

No idea. I'm not familiar with any of those projects. There are different types of exes you will encounter, depending on the era of the project.

Stardraft and Stargraft are both very ancient, and are the most likely ones you will encounter. Stardraft exes have no button changes. Stargraft exes always have button changes. I think they both require 1.07. Stargraft most certainly does. I remember Stargraft vomiting out a bunch of random files if you tried to run it on the wrong version of the game. I also remember one of these defaulting to the exe in their current directory, if available (I might be wrong, I haven't used either in probably a decade+).

Mpqdraft with Memgraft will require 1.10. It is harder to gauge if an mpqdraft exe actually has memgraft inside of it, because memgraft is a plugin. Refer to the project's readme for this. Else, an mpqdraft may work on any version of the game. Generally, when mpqdraft/memgraft don't like a game version, it will usually blow up on starting. If Prophecy is the one with Mekani, it might be an mpqdraft exe, upon which case you should try 1.10 first, followed by 1.15.1. If it's older, try 1.07.

Firegraft is much newer and I don't think any projects on the site except for maybe Vile Egression may use Firegraft. Firegraft was, I think, for 1.15.1, but I may be wrong. DoA made me a 1.10 version but that is 2009 era and you are not likely to have ever seen anyone else use it. Firegraft will explicitly state a version is incorrect, I think.

If you have two versions of Starcraft installed, and one is newer than the other, uninstall them both and then install only the version you wish to use for mods and use the version switcher to alternate when desired.
Image~[Gameproc]~Image
Warning: dialogue contains politically incorrect content. Viewer rearsore may occur.


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Wed Aug 27, 2014 6:55 pm

OK I only have one version of Sc installed and I'm trying to use the version switcher

however...

I still get the same message when I try to start up a gear shaped exe mod. a small message box saying "the patch was unsuccessful" regardless of which version of SC is loaded.

User avatar

IskatuMesk
Xel'naga World Shaper
Xel'naga World Shaper
Posts: 8779
Joined: Sat Feb 07, 2009 1:40 pm
Location: M͈̙̞͍͞ͅE̹H̨͇̰͈͕͇̫Ì̩̳CO̼̩̤͖͘
Contact:
Status: Offline

Re: Need help to start campaign mods

Postby IskatuMesk » Wed Aug 27, 2014 7:13 pm

Oh... Now I remember something else...

I think Prophecy is a Stargraft exe, judging by the download page notes. As far as I know, those don't work on newer versions of windows. But I'm not 100% sure. Maybe someone else who knows can clarify...

Alternatively, maybe the game's registry doesn't exist at all, or the digital download variant doesn't have the keys the exe needs. I'm afraid I've just never dealt with this before. Sorry.

It's possible you can take the Stargraft .pat he has there and make a Firegraft exe with it.
Image~[Gameproc]~Image
Warning: dialogue contains politically incorrect content. Viewer rearsore may occur.


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Wed Aug 27, 2014 7:34 pm

That's odd, cause Prophecy is the only one that does work.

How do I use the stagraft .pat? I tried using stagraft before to load a mod and nothing happened, or does it not with the gear exes?


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Wed Aug 27, 2014 7:37 pm

I might have found one of the issues. My computer reads the various mod files as their own processes named Vision2, lotc and so on rather than reading them as starcraft but when I load prophecy it detects it as starcraft. Is there a way to fix this, so it detects the Gear mod exes as starcraft instead of a separate program? Is it possible that the color fix registry edit I applied is causing the problem?

User avatar

IskatuMesk
Xel'naga World Shaper
Xel'naga World Shaper
Posts: 8779
Joined: Sat Feb 07, 2009 1:40 pm
Location: M͈̙̞͍͞ͅE̹H̨͇̰͈͕͇̫Ì̩̳CO̼̩̤͖͘
Contact:
Status: Offline

Re: Need help to start campaign mods

Postby IskatuMesk » Wed Aug 27, 2014 10:29 pm

Color fix registry? What does that do?

FireGraft should be able to import .pat files, I think. I'm not actually sure, now. I'm sure I asked for that functionality in the past. I think that's how I converted AO to FG 1.10. Following that you could extract the data from the various mod mpqs, make a new mpq, and use FireGraft to build a new exe with them.

/edit

Also, have you tried using SCV selector to change the version rather than the BWAI downgrader? I had issues with the BWAI downgrader in the past and ended up sticking to SCV selector, but I don't know if the issues still exist or would cause this behavior.
Image~[Gameproc]~Image
Warning: dialogue contains politically incorrect content. Viewer rearsore may occur.


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Thu Aug 28, 2014 2:56 pm

the color fix registry is a resource I downloaded from Blizzard to fix the color issues on modern system, like the thing that lets you play warcraft 3 with better resolution and colors.


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Thu Aug 28, 2014 3:09 pm

OK. I tried the SCV selector, same problem

I click one of the mods and I get a message saying "the Patch was Unsuccessful"

Oh and the SCV selector version 1.10 still crashes on start up.

Is there any way to change the "gear" exes into ones like Prophecy that force the game to load up in a specific version? would sending you a copy of the prophecy exe on my computer help?

User avatar

IskatuMesk
Xel'naga World Shaper
Xel'naga World Shaper
Posts: 8779
Joined: Sat Feb 07, 2009 1:40 pm
Location: M͈̙̞͍͞ͅE̹H̨͇̰͈͕͇̫Ì̩̳CO̼̩̤͖͘
Contact:
Status: Offline

Re: Need help to start campaign mods

Postby IskatuMesk » Thu Aug 28, 2014 5:33 pm

Wouldn't help me at all. I have no idea what's even wrong. Like I said, I haven't touched starcraft in a very, very long time. I don't have any tools or anything installed for it.

I think at this point your best hope is jim_raynor noticing this thread and knowing what version it is and how to fix it. Else, you'd have to rebuild the button data for the mod file in firegraft and build a firegraft exe like I mentioned.
Image~[Gameproc]~Image
Warning: dialogue contains politically incorrect content. Viewer rearsore may occur.


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Thu Aug 28, 2014 6:02 pm

OK. does firegraft come with a manual that shows me how to do that? And will it require much work. I've never tried modding a game before so I'm hoping I can just patch things and not have to remake the entire mod from scratch

User avatar

IskatuMesk
Xel'naga World Shaper
Xel'naga World Shaper
Posts: 8779
Joined: Sat Feb 07, 2009 1:40 pm
Location: M͈̙̞͍͞ͅE̹H̨͇̰͈͕͇̫Ì̩̳CO̼̩̤͖͘
Contact:
Status: Offline

Re: Need help to start campaign mods

Postby IskatuMesk » Fri Aug 29, 2014 5:55 pm

If you have the .pat file, it's easy. If not, then things get more complicated, since you have to find out what buttons were changed. Since I've never played any of the campaigns, I couldn't even begin to guess for you. I don't even know if there's a manual or not, haha. Not terribly useful, I know.

Button editing in bw isn't necessarily a complex task, but for someone who hasn't done it before, it would certainly be confusing in some areas. I don't imagine those campaigns change much besides adding/removing some ability buttons to units.

The general gist of what you'd want to do is open the exe with winmpq, pull out all the files, put them into a new mpq, and then use that mpq with firegraft when you're done to make a new exe.

I swore someone made updated versions of all those campaign exes before... I had a quick look but couldn't find a thread about it.
Image~[Gameproc]~Image
Warning: dialogue contains politically incorrect content. Viewer rearsore may occur.


Topic author
Firerush
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 22
Joined: Sun Aug 24, 2014 8:49 pm
Status: Offline

Re: Need help to start campaign mods

Postby Firerush » Tue Sep 02, 2014 1:37 pm

OK so I got winmpq, I extracted the files from vision1le, I made a new mpq, I used firegraft to turn it into an exe, and I was able to start the game but instead of starting up the mod I started up regular starcraft. Is there something I missed?

Also I'm going to see if I can hunt down updated exes for some of those mods, I'm getting relaly tired of seeing "the patch was unsucessful" on my computer

What bugs me is that a month ago things were working just fine: I'd use the downgrader to change the version to 1.10, click a mod exe and it would start up. I started having problems where apparently the downgrader accidentally deleted some key files from the starcraft folder so I had to reinstall it and then this problem started after I reinstalled.

the only other idea I have is to delete all the mod files, and every starcraft file except the maps, then do a complete reinstall of everything and hope the computer reads the stuff properly this time


Return to “StarCraft Discussion”

Who is online

Users browsing this forum: No registered users and 2 guests